summaryrefslogtreecommitdiff
path: root/run.sh
diff options
context:
space:
mode:
authorPaul Buetow <paul@buetow.org>2024-02-04 10:17:59 +0200
committerPaul Buetow <paul@buetow.org>2024-02-04 10:17:59 +0200
commit6f0b9a473ab8e3fd8ac58724e907809da36b1bd1 (patch)
tree8b60b3a6b665bcef4d00e7453000d7aca4716e5f /run.sh
parent2964fe4a7185d75b84745edee5edc9dcf5fc4b4f (diff)
initial version (not yet working)
Diffstat (limited to 'run.sh')
-rwxr-xr-xrun.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/run.sh b/run.sh
new file mode 100755
index 0000000..c39f257
--- /dev/null
+++ b/run.sh
@@ -0,0 +1,22 @@
+#!/bin/bash
+
+# SETTINGS
+
+TEST=$(dirname $0)/$1 # execute
+TIMEOUT=10 # seconds
+
+# COMMON
+
+COMMON="$(dirname $0)/../common/common.sh"
+[[ -f $COMMON ]] && { . $COMMON; } || { error "no common"; exit 1; }
+
+# MAIN
+
+kern_version gt 4.18
+
+check_build
+check_ppid
+test_exec
+test_finish
+
+exit 0